Page MenuHomePhabricator

Rebuild integration-agent-puppet-docker-1001 to use Stretch
Closed, ResolvedPublic

Description

integration-agent-puppet-docker-1001.integration.eqiad.wmflabs is still using Jessie, we should migrate to Stretch.

Event Timeline

Mentioned in SAL (#wikimedia-releng) [2020-05-01T18:56:27Z] <James_F> Created integration-agent-puppet-docker-1002 based on stretch for T250502

Change 593802 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Create operations-puppet-tests-buster-docker-test

https://gerrit.wikimedia.org/r/593802

Change 593803 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Add operations-puppet-tests-buster-docker-test experimental

https://gerrit.wikimedia.org/r/593803

Change 593802 merged by jenkins-bot:
[integration/config@master] jjb: Create operations-puppet-tests-buster-docker-test

https://gerrit.wikimedia.org/r/593802

Change 593803 merged by jenkins-bot:
[integration/config@master] layout: Add operations-puppet-tests-buster-docker-test experimental

https://gerrit.wikimedia.org/r/593803

Mentioned in SAL (#wikimedia-releng) [2020-05-01T19:44:18Z] <James_F> Zuul: [operations/puppet] Add operations-puppet-tests-buster-docker-test as experimental T250502

jforrester@integration-agent-puppet-docker-1002:~$ sudo puppet agent -tv
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Retrieving locales
Notice: /File[/var/lib/puppet/locales/ja]/ensure: created
Notice: /File[/var/lib/puppet/locales/ja/puppetlabs-stdlib.po]/ensure: defined content as '{md5}805e5d893d2025ad57da8ec0614a6753'
Info: Loading facts
Info: Caching catalog for integration-agent-puppet-docker-1002.integration.eqiad.wmflabs
Info: Applying configuration version '(850f8307d6) root - Integration Cluster: update gitcache nightly'
Notice: The LDAP client stack for this host is: classic/sudoldap
Notice: /Stage[main]/Profile::Ldap::Client::Labs/Notify[LDAP client stack]/message: defined 'message' as 'The LDAP client stack for this host is: classic/sudoldap'
Notice: /Stage[main]/Profile::Wmcs::Instance/Exec[enable_sites_local]/returns: executed successfully
Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold --force-yes install docker-ce=18.06.2~ce~3-0~debian' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
E: Version '18.06.2~ce~3-0~debian' for 'docker-ce' was not found
Error: /Stage[main]/Docker/Package[docker-ce]/ensure: change from 'purged' to '18.06.2~ce~3-0~debian' failed: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold --force-yes install docker-ce=18.06.2~ce~3-0~debian' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
E: Version '18.06.2~ce~3-0~debian' for 'docker-ce' was not found
Info: Stage[main]: Unscheduling all events on Stage[main]
Notice: Applied catalog in 6.09 seconds
jforrester@integration-agent-puppet-docker-1002:~$ apt-cache show -o DPkg::Options::=--force-confold docker-ce
Package: docker-ce
Architecture: amd64
Version: 5:19.03.5~3-0~debian-stretch
Priority: optional
Section: admin
Maintainer: Docker <support@docker.com>
Installed-Size: 106628
Depends: docker-ce-cli, containerd.io (>= 1.2.2-3), iptables, libseccomp2 (>= 2.3.0), libc6 (>= 2.3.2), libdevmapper1.02.1 (>= 2:1.02.97), libsystemd0
Recommends: aufs-tools, ca-certificates, cgroupfs-mount | cgroup-lite, git, pigz, xz-utils, libltdl7
Conflicts: docker (<< 1.5~), docker-engine, docker-engine-cs, docker.io, lxc-docker, lxc-docker-virtual-package
Replaces: docker-engine
Filename: pool/thirdparty/ci/d/docker-ce/docker-ce_19.03.5~3-0~debian-stretch_amd64.deb
SHA512: a8503fe3574e02e704b9b85baaf50a8cdde712020c787eef61d50ff35ef4ca631eefff9e2851053e3756e72acbdb5b057124cd55ee2e77ee559ba54db5f55dd0
Homepage: https://www.docker.com
Size: 22826524
SHA256: 5c800b10b48adc15df8607c2dc54ac9d90cdd7cc5718d13004e51e4c087e0513
SHA1: 131c88d72b11110664edf4b8bbc55932c93b1f56
MD5sum: 35b90746becfe207360bf390c4aea084
Description: Docker: the open-source application container engine
 Docker is a product for you to build, ship and run any application as a
 lightweight container
 .
 Docker containers are both hardware-agnostic and platform-agnostic. This means
 they can run anywhere, from your laptop to the largest cloud compute instance and
 everything in between - and they don't require you to use a particular
 language, framework or packaging system. That makes them great building blocks
 for deploying and scaling web apps, databases, and backend services without
 depending on a particular stack or provider.
Description-md5: c44506b988c89e9690d4dddd3c768d77

So, clearly we need to bump the package we use in puppet, and T236675 shouldn't have been closed just yet. Fun times.

Change 593806 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/puppet@production] contint: On stretch, use the docker we have

https://gerrit.wikimedia.org/r/593806

Change 593806 merged by RLazarus:
[operations/puppet@production] contint: On stretch, use the docker we have

https://gerrit.wikimedia.org/r/593806

Mentioned in SAL (#wikimedia-releng) [2020-05-04T17:10:22Z] <James_F> Pooling integration-agent-puppet-docker-1002 to run puppet CI T250502

Mentioned in SAL (#wikimedia-releng) [2020-05-04T17:27:38Z] <James_F> Depooling integration-agent-puppet-docker-1001 from running puppet CI T250502

Mentioned in SAL (#wikimedia-releng) [2020-05-04T17:41:33Z] <James_F> Dropping integration-agent-puppet-docker-1001 from jenkins for T250502

Mentioned in SAL (#wikimedia-releng) [2020-05-04T17:43:04Z] <James_F> Shutting off integration-agent-puppet-docker-1001 in WMCS for T250502

Will delete the instance tomorrow assuming nothing blows up overnight.

Mentioned in SAL (#wikimedia-releng) [2020-05-06T17:01:26Z] <James_F> Deleting integration-agent-puppet-docker-1001 from WMC for final stage of T250502.

Jdforrester-WMF closed this task as Resolved.May 6 2020, 5:01 PM

Done.